System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Xml.XmlDocument System.Configuration.IConfigXmlNode System.Configuration.Internal.IConfigErrorInfo

The wraps the corresponding type to carry the necessary information for reporting file-name and line numbers. This information is necessary when the system issues configuration errors.

Wraps the corresponding type and also carries the necessary information for reporting file-name and line numbers.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` `` `` To be added

  Creates a configuration element attribute.

  The attribute.

  The prefix definition. The name that is used locally. The URL that is assigned to the namespace.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlCDataSection `` To be added

  Creates an XML CData section.

  The value.

  The data to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlComment `` To be added: an object of type 'string' To be added

  Create an XML comment.

  The value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement `` `` `` To be added

  Creates a configuration element.

  The value.

  The prefix definition. The name used locally. The namespace for the URL.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlSignificantWhitespace `` To be added

  Creates white spaces.

  The value.

  The data to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlText `` To be added

  Create a text node.

  The value.

  The text to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlWhitespace `` To be added

  Creates white space.

  The value.

  The data to use.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the configuration file name.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the current node line number.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Loads the configuration file.

  The name of the file.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Loads a single configuration element.

  The name of the file. The source for the reader.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the configuration file name.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the configuration line number.